using e_suite.Database.Audit;
using e_suite.Utilities.Pagination;
using eSuite.Core.Miscellaneous;

namespace e_suite.API.Common;

public interface IActivityManager
{
    Task CreateActivity(AuditUserDetails auditUserDetails, CreateActivity template, CancellationToken cancellationToken);
    Task<PaginatedData<GetMyAssignments>> GetMyActiveAssignmentsAsync(AuditUserDetails auditUserDetails, Paging paging, CancellationToken cancellationToken);
    Task<AssignmentDetails> GetAssignmentDetails(AuditUserDetails auditUserDetails, GeneralIdRef assignmentId, CancellationToken cancellationToken);
}